# sc::ThreadLockHolder Class Reference

Acquire a lock on creation and release it on destruction. More...

`#include <thread.h>`

List of all members.

## Public Member Functions

| ThreadLockHolder (const Ref< ThreadLock > &l)
| Acquires the lock.
void | unlock ()
| Release the lock before the DTOR is called, if it is still held.
void | lock ()
| Acquire the lock once more.
| ~ThreadLockHolder ()
| Releases the lock if it is still held.

## Detailed Description

Acquire a lock on creation and release it on destruction.

This should be used to lock and unlock ThreadLock objects to provide exception safety.

The documentation for this class was generated from the following file:

- thread.h